package com.bureau.base.extensions

import android.content.ClipboardManager
import android.content.Context
import android.content.Context.CLIPBOARD_SERVICE

fun Context.getFromClipBoard(): String? {
    return try {
        val clipBoardManager = getSystemService(CLIPBOARD_SERVICE) as ClipboardManager
        clipBoardManager.primaryClip?.getItemAt(0)?.text?.toString()
    } catch (_: Exception) {
        null
    }
}
